---
id: getting-started
title: Getting Started
layout: docs
category: Overview
permalink: docs/getting-started.html
next: using-reactxp
redirect_from:
  - "docs/index.html"
---

## Web Technologies

React apps are written using web programming techniques. This documentation assumes that you are already familiar with web programming concepts including the use of JavaScript, the browser DOM, browser event handling, and CSS styling. There are many online tutorials that cover these concepts.

While it is possible to write ReactXP apps in JavaScript, we recommend using TypeScript or Flow instead. These languages add type safety, compile-time error detection, and IntelliSense capabilities to JavaScript. If you are already familiar with JavaScript, it is easy to learn TypeScript. Here is a recommended [TypeScript tutorial](http://www.typescriptlang.org/tutorial/).

## Understanding React

If you are new to React, you should first familiarize yourself with the core concepts. We provide an overview and some [simple examples](react_concepts.html). Also refer to the official [React](http://facebook.github.io/react/) and [React Native](https://facebook.github.io/react-native/) documentation sites.

## Building Your First ReactXP App

The "samples" directory contains a minimal "Hello World" app that demonstrates some basic ReactXP functionality. You can use this as a starting point. Just follow the build instructions in the README file.

Nader Dabit has created a helpful [video tutorial](https://medium.com/@dabit3/reactxp-first-look-d3dd1d08febd) that walks you through the steps to build the sample app.
